推ter 将不再支持 IE6 和 IE7

jopen 9年前

考虑到XP系统的普及程度,推ter放弃IE6和IE7还算是明智之举。

 推ter 将不再支持 IE6 和 IE7

据国外媒体报道,推ter周五宣布,推ter for Websites(以下简称“TFW”)服务将从5月13日开始不再支持IE6和IE7浏览器。虽然推ter会继续发展,但不保证一些功能在微软上述两个版本的浏览器中运行。

报道称,TFW要求开发者和出版商将部分推ter对话嵌入到应用程序和网站中。推ter公司称,新浏览器技术使得代码编写更加简单快捷,占用资源少;老的浏览器技术不能满足发展需求。

推ter详细描述了TFW将在5月13日后如何运行。

首先,Tweet按钮、Follow(关注)按钮、嵌入的推ter消息和推ter时间轴将不再支持IE6。脚本检测到不支持的浏览器会自动退出,不过来自嵌入代码的消息将保留。

其次,推ter将定义创建小插件的工厂函数,但是对任何IE6中的回调函数都返回错误值。各种插件依然会在IE7中呈现,但是浏览器的支持功能受到限制,未来添加的功能也将无法运行。

最后,网站内容事件,也就是允许开发者行响应用户互动的框架也不再支持IE6和IE7。

推ter 强调称,两款浏览器都需要大量的代码支持才能传送消息,删除之后则会降低代码量、提高可靠性。虽然不再支持IE6和IE7,但在这两款浏览器 中,Tweet链接仍可以帮助用户分享页面,而Follow链接仍将指向其他用户的个人页面,嵌入的时间轴代码仍将链接至推ter网站,这些基本功 能由于技术原因最终保留下来。

据悉,推ter将继续支持IE8。考虑到XP系统的普及程度,推ter放弃IE6和IE7还算是明智之举。

载自: 腾讯科技